Skip to main content
GET
/
venue-events
List venue events with cursor pagination, search, and filters
curl --request GET \
  --url https://api.agg.market/venue-events \
  --header 'x-app-id: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "externalIdentifier": "<string>",
      "title": "<string>",
      "image": "<string>",
      "venue": "kalshi",
      "categories": [
        {
          "id": "<string>",
          "category": {
            "id": "<string>",
            "name": "<string>"
          }
        }
      ],
      "description": "<string>",
      "volume": 1,
      "status": "open",
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "series": {
        "id": "<string>",
        "venue": "kalshi",
        "externalIdentifier": "<string>",
        "name": "<string>",
        "description": "<string>",
        "volume": 1,
        "recurrence": "<string>"
      },
      "slug": "<string>",
      "subtitle": "<string>",
      "competition": "<string>",
      "competitionScope": "<string>",
      "tags": [
        "<string>"
      ],
      "matchStatus": "pending",
      "matchType": "manual",
      "matchReason": "<string>",
      "matchConfidence": 0.5,
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Query Parameters

venue
enum<string>
Available options:
kalshi,
polymarket,
limitless,
opinion
venues
Available options:
kalshi,
polymarket,
limitless,
opinion
matchStatus
enum<string>
Available options:
pending,
unmatched,
review,
matched,
verified,
rejected
categoryIds
status
Available options:
open,
closed,
resolved,
unopened,
paused
limit
number
Required range: 1 <= x <= 100
cursor
string

Response

200

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required